Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8177471

jlink should use the version from java.base.jmod to find modules

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 10
    • Component/s: tools
    • Labels:
      None
    • Subcomponent:
    • Resolved In Build:
      b32

      Description

      Jlink.moduleFinder() unconditionally uses the runtime version but this method really needs to locate java.base and use its version when creating the module path.

      This issue impacts linking of MR modular JARs if a MMR contains versioned entries for both the runtime version of jlink and the resulting version of the image when they are different.

        Attachments

          Activity

            People

            Assignee:
            sundar Sundararajan Athijegannathan
            Reporter:
            mchung Mandy Chung
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: